Bug 57080 - snmpd crashes when SMUX client disconnects
snmpd crashes when SMUX client disconnects
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-04 10:13 EST by Joshua Giles
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-04 10:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Giles 2001-12-04 10:13:49 EST
Description of Problem:
When a SMUX client disconnects from snmpd, snmpd crashes.  This did not 
happen with versions of ucd-snmp prior to Red Hat 7.2.

It appears snmpd crashes when it receives the SMUX ClosePDU from the SMUX 
client.



Version-Release number of selected component (if applicable):
(ucd-snmp-4.2.1-7)

How Reproducible:
100%

Steps to Reproduce:
1. send a SMUX ClosePDU while snmpd is running.
2. Here's a code snippet for sending a SMUX ClosePDU:

static void
smux_send_close(int fd, int reason)
{
    u_char outpacket[3], *ptr;

    ptr = outpacket;

    *(ptr++) = (u_char)SMUX_CLOSE;
    *(ptr++) = (u_char)1;
    *ptr = (u_char)(reason & 0xFF);

    if(snmp_get_do_debugging()) 
DEBUGMSGTL (("smux","[smux_close] sending close to fd %d, reason %d\n", 
fd, reason));

    /* send a response back */ 
    if (send (fd, (char *)outpacket, 3, 0) < 0) {
        snmp_log_perror("[smux_snmp_close] send failed");
    }
}

3. 

Actual Results:
snmpd dies

Expected Results:
snmpd should handle it gracefully

Additional Information:
Comment 1 Phil Knirsch 2002-01-29 09:58:20 EST
The latest version (4.2.3) is available via rawhide now. This should fix this
problem (see bug 56588).

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.